Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007514opensim[REGION] OpenSim Corepublic2015-03-26 16:132015-08-18 09:34
ReporterXantis 
Assigned ToDiva 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindows ServerOperating SystemWindows Server EditionOperating System Version2012
Product Version 
Target VersionFixed in Version 
Summary0007514: Can't rez items from OSGrid on my own grid.
DescriptionIf i HG from my DSGrid to OSGrid and take a copy from any item it comes in my suitcase, that looks fine as soon i HG (TP) back to DSGrid [ Home ] i can't rez any item on on the ground nor wear, like it isn't there. I went to Metaverse did the same and all works as it should be. The error message in the console, is about 2 pages long [ red ] snap :
2015-03-26 23:37:20,287 DEBUG - openSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule [HGScene]: RezObject itemID=d92a6b08-d4ea-47c1-9924-3e2acc06f22d fromTaskID=00000000-0000-0000-0000-000000000000
2015-03-26 23:37:20,303 ERROR - OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer [SERIALIZER]: Deserialization of xml failed. Exception System.Xml.XmlException: The ':' character, hexadecimal value 0x3A, cannot be included in a name. Line 1, position 57.
   at System.Xml.XmlTextReaderImpl.Throw(String res, String[] args)
   at System.Xml.XmlTextReaderImpl.ParseAttributes()
   at System.Xml.XmlTextReaderImpl.ParseElement()
   at System.Xml.XmlTextReaderImpl.ParseElementContent()
   at System.Xml.XmlCharCheckingReader.Read()
   at System.Xml.XmlReader.ReadToFollowing(String name)
   at OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer.FromOriginalXmlFormat(XmlReader reader) in e:\RADIUS FULL 4044\radiusmailer-src FRANS\Opensim\OpenSim\Region\Framework\Scenes\Serialization\SceneObjectSerializer.cs:line 85
2015-03-26 23:37:20,334 ERROR - OpenSim.Region.Framework.Scenes.Scene [AGENT INVENTORY]: Deserialization of xml failed when looking for CoalescedObject tag. Exception
System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Framework.Scenes.Scene.GetObjectsToRez(Byte[] assetData, Boolean isAttachment, List`1& objlist, List`1& veclist, Vector3& bbox, Single& offsetHeight) in e:\RADIUS FULL 4044\radiusmailer-src FRANS\Opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2242
2015-03-26 23:37:20,350 ERROR - OpenSim.Region.ClientStack.LindenUDP.LLClientView [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.RezObjectPacket for Frank Orbis
System.NullReferenceException: Object reference not set to an instance of an object.
Steps To Reproduce1) create an account here : http://dsgrid.nl:8002/wifi/user/account [^]
2) Login using login.dsgrid.nl:8002 in your viewer
3) After you logged in HG teleport to OSGrid.
4) Take 1 item
5) HG tp home
6) Try to rez that item


Additional InformationIn case you'll get the same result as above, Dan and others from OSGrid can't explain it other then the ports, they using 80, i use 8002 however the 80 gets translated to 8002, DNS?
TagsNo tags attached.
Git Revision or version number8.1
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
EnvironmentMono / Windows
Mono VersionNone
Viewer
Attached Fileslog file icon OS.log [^] (570,653 bytes) 2015-03-26 16:13
? file icon HGAssetMapper.cs [^] (20,620 bytes) 2015-05-03 09:05

- Relationships
has duplicate 0007648closedMata Hari Incompatibility between objects sent via HG from a linux-hosted region/grid and then opened on a Win-hosted region 
related to 0007657new Mitigating db corruption caused by issue 7514 
related to 0007668new object description xmlns:xmlns: gets changed to xmlns: when transfered via HG 

-  Notes
(0027943)
kenvc (reporter)
2015-03-26 18:41
edited on: 2015-03-27 11:05

I can no longer move things back and forth between my grid and my sims in OSG, but it worked fine before the OSG crash. My grid has been up since the crash and no settings have changed other than the few required from software updates. The configuration for my sims in OSG match the example ini files from OSG. No ports have changed.

The items appear to be in inventory, but they will not rez so I end up deleting all of them. Bringing things back and forth between other grids has been working fine the large majority of the time, but it never works with my sims in OSG anymore. This sounds the same as this mantis so just verifying there is an issue

(0027946)
nebadon (administrator)
2015-03-26 18:50

I just tested this from my grid to osgrid, logged into my grid, then Hypergrid teleported to Wright Plaza, grabbed 1/2 a dozen various items then jumped back to my home grid and was able to rez every single item without issue. We have not changed any configurations on OSgrid other than the new asset services when the grid came back up, the rest of the configurations are the same as they were since before the grid went down.
(0027948)
Xantis (reporter)
2015-03-27 10:53

On the note from (0027943)
kenvc (reporter)
2015-03-27 01:41

And the note from (0027946)
nebadon (administrator)
2015-03-27 01:50

See new added information regarding this issue.
(0027949)
Allen Kerensky (reporter)
2015-03-27 11:45

From looking at the log and from the related 0007516 mantis, I suspect a subtle typo in the ini files.

Reviewing all errors from the OS.log attached to this case, shows that there are a number of network related items throwing ERRORS, the first of which is:
2015-03-26 18:39:02,866 ERROR - OpenSim.Framework.Communications.RestClient [REST CLIENT] Error fetching resource from server: http://dsgrid.nl/search:80/register.php?service=online... [^]
The ":80" in that URL looks incorrect and is likely a typo.

Next is a DNS issue unable to resolve search.dgrid.nl
2015-03-26 19:03:35,709 ERROR - OpenSimSearch.Modules.OpenSearch.OpenSearchModule [SEARCH]: Unable to connect to Search Server http://search.dgrid.nl:/search/query.php [^]
- isn't this supposed to be dsgrid.nl?

Next comes a series of errors from the broken search setup as LLClientView tries to make sense of the lack of return from the broken search system.

Then again, another mistyped hostname:
2015-03-26 19:36:41,647 ERROR - OpenSimSearch.Modules.OpenSearch.OpenSearchModule [SEARCH]: Unable to connect to Search Server http://dgrid.nl/query.php. [^] Exception System.Net.WebException: The remote name could not be resolved: 'dgrid.nl'

And finally we come to an interesting error related to this ticket:
2015-03-26 23:37:20,303 ERROR - OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer [SERIALIZER]: Deserialization of xml failed. Exception System.Xml.XmlException: The ':' character, hexadecimal value 0x3A, cannot be included in a name. Line 1, position 57.

Given the earlier config file typos reported as the OpenSim started up, I suspectr this error too is caused by a typo... possibly a ":" out of place, or a double ":" in a URI.

My suggestion is to search the GridCommon.ini, OpenSim.ini, and Robust.HG.ini entries which have URIs in them (such as anything with http:) and double, triple, or quadruple check them for anything out of place.
The typoed hostnames and the out of place :80 in the one search URI can also be corrected during the review.

I would edit all 3 of those configuration files, and search for EVERY occurrence of http: and read each line carefully.
The root cause of this issue is likely in GridCommon.ini or maybe Robust.HG.ini... Sorry, but that is all I can offer from the log provided.
(0028050)
Ferd Frederix (reporter)
2015-04-22 10:01

I have the same issue with XML Deserializing and invalid assets in Opensim master r/25938.

Interestingly, if I wear the item at the foreign grid, and return home, I can detach it and rez it. Otherwise, no rez allowed.

And it cannot be the http:// as that is in only one place, in [Const], and I have searched for more.
(0028057)
Ferd Frederix (reporter)
2015-04-22 13:31

Errors also from a non-osGrid grid. I was able to bring back and rez an attached item,bit nothing else. The items came from bubblesz.nl:8002.

You are at 131.4, 129.4, 94.9 in Welcome located at pool-96-226-19-235.dllstx.fios.verizon.net (96.226.19.235:9100)
SLURL: hop://www.outworldz.com:9000/Welcome/131/129/95 [^]
(global coordinates 2,486,660.0, 2,561,410.0, 94.9)
OpenSim 0.8.2.0 Dev 7d69951 (Win/.NET)

15:21:09 - [SERIALIZER]: Deserialization of xml failed. Exception System.Xml.XmlException: The ':' character, hexadecimal value 0x3A, cannot be included in a name. Line 1, position 57.
   at System.Xml.XmlTextReaderImpl.Throw(String res, String[] args)
   at System.Xml.XmlTextReaderImpl.ParseAttributes()
   at System.Xml.XmlTextReaderImpl.ParseElement()
   at System.Xml.XmlTextReaderImpl.ParseElementContent()
   at System.Xml.XmlCharCheckingReader.Read()
   at System.Xml.XmlReader.ReadToFollowing(String name)
   at OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer.FromOriginalXmlFormat(XmlReader reader) in g:\HyperGrid\master\opensim\OpenSim\Region\Framework\Scenes\Serialization\SceneObjectSerializer.cs:line 85
15:21:09 - [AGENT INVENTORY]: Deserialization of xml failed when looking for CoalescedObject tag. Exception System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Framework.Scenes.Scene.GetObjectsToRez(Byte[] assetData, Boolean isAttachment, List`1& objlist, List`1& veclist, Vector3& bbox, Single& offsetHeight) in g:\HyperGrid\master\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2242

15:21:09 - [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.RezObjectPacket for Ferd Frederix
  System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.DoPreRezWhenFromItem(IClientAPI remoteClient, InventoryItemBase item, List`1 objlist, Vector3 pos, List`1 veclist, Boolean isAttachment) in g:\HyperGrid\master\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 1004
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, InventoryItemBase item, UUID assetID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in g:\HyperGrid\master\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 859
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in g:\HyperGrid\master\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 797
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in g:\HyperGrid\master\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 311
   at OpenSim.Region.Framework.Scenes.Scene.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID) in g:\HyperGrid\master\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2320
   at OpenSim.Framework.RezObject.Invoke(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID)
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerRezObject(IClientAPI sender, Packet Pack) in g:\HyperGrid\master\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6443
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in g:\HyperGrid\master\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770
(0028058)
Xantis (reporter)
2015-04-22 14:01
edited on: 2015-04-22 14:04

Hello,

Just wanted to post on this :

Next is a DNS issue unable to resolve search.dgrid.nl
2015-03-26 19:03:35,709 ERROR - OpenSimSearch.Modules.OpenSearch.OpenSearchModule [SEARCH]: Unable to connect to Search Server http://search.dgrid.nl:/search/query.php [^] [^]
- isn't this supposed to be dsgrid.nl?

Next comes a series of errors from the broken search setup as LLClientView tries to make sense of the lack of return from the broken search system.

Then again, another mistyped hostname:
2015-03-26 19:36:41,647 ERROR - OpenSimSearch.Modules.OpenSearch.OpenSearchModule [SEARCH]: Unable to connect to Search Server http://dgrid.nl/query.php. [^] [^] Exception System.Net.WebException: The remote name could not be resolved: 'dgrid.nl'

Registrar Info
Domain name: dsgrid.nl
Status: active

Registrar:
   TransIP BV
   Schipholweg 9b
   2316XB LEIDEN
   Netherlands

DNSSEC: yes

Domain nameservers:
   ns0.transip.net
   ns1.transip.nl
   ns2.transip.eu

Record maintained by: NL Domain Registry

Source : https://who.is/whois/dsgrid.nl [^]

And yes the search server should be Search Server http://search.dsgrid.nl/dss/query.php [^] its the same as http://dsgrid.nl/dss/query.php [^]
The other should be this http://search.dsgrid.nl/dss/register.php [^] and again this is the same as http://dsgrid.nl/dss/register.php [^]
Home page http://www.dsgrid.nl/ [^]
  17-Apr-2015 21:16:11 ZLib Compressor : Version 1.2.2
^ 17-Apr-2015 21:16:11 Connect From 149.210.203.237 #24554
  17-Apr-2015 21:16:11 ICMP successful for IP address 149.210.203.237
  17-Apr-2015 21:16:11 Resolve hostname 149-210-203-237.colo.transip.net
Hope this will help,
Frans

(0028063)
AramintaHexx (reporter)
2015-04-22 23:21
edited on: 2015-04-22 23:23

I am having this exact same issue. I picked up the OpenSimWorld beacon from their region on OSGrid, but when I got home, I could not rez it. I brought home items from Fleep Grid the other day without issue. Nonetheless, I went back to the OpenSimWorld region, wore the box (since I can't rez there), opened the box and copied the contents to my inventory. After doing that, I wore the HUD and the beacon and HG'd home. I was, then, able to detach the beacon and then rez it from my inventory as well as detach and re-attach the hud. I haven't tested bringing home items from any other grids except OSGrid (didn't work) and Fleep Grid (did work). I am on a non OS install (diva 0.8.1 post fix) on port 9000, and not the OS install, but I don't "think" that has anything to do with it. I'm posting here because this is the only place I've been able to find this exact same issue reported. I'm also getting WORLD_MAP Blacklisted messages about osgrid immediately after coming home, but not sure if that's related or not (I'm not too technically saavy).

(0028124)
Ferd Frederix (reporter)
2015-04-28 20:05

Traveled to bubbles.nl:8002 and wore a pair of mesh boots. They make it back. Another pair in inventory do not.

**** The notecard in inventory DID. Also an alpha will make it. But not the mesh right next to it. My rev is OpenSim 0.8.2.0 Dev 7d69951 (Win/.NET)

I have tried someones suggestion to set enable_adaptive_throttles = false in the [ClientStack.LindenUDP] section with no better results.
(0028146)
Gavin Hird (reporter)
2015-04-30 08:45

Could it be a .NET version mismatch between the grids that manifest itself in this way?

From the dev mailing list:

"The only thing that seems like it might be a contributing factor -- although it won't reliably give reproducible fails -- is when the object XML is being created on a region running .NET and is later transfered to the other grid and unpacked on a region running mono or visa versa. If you unpack it in a region running the same operating system it's often (but not always) fine."

The reason why I though of this was I tested the latest OSG build on mono 4.0.0 and an attachment script region crossing bug that was fixed for mono but still seems to exist on Windows manifested itself on 4.0.0. – which is supposed to have quite a bit Microsoft .NET code in it.
(0028147)
butcharnold (reporter)
2015-04-30 09:24
edited on: 2015-04-30 09:24

I can confirm having this same issue on 3rd Rock Grid, Great Canadian Grid, and DigiWorldz.. all of which are running on windows.

I can login to any of those grids locally, HyperGrid out to OsGrid, pick up a boxed item and bring it back and it will not rez in any of those grids.

If I take it to the hypergrid.org grid it will rez.

(0028158)
nebadon (administrator)
2015-05-02 16:56

I setup a clean test enviroment running master git as of this posting and have experieced the same thing trying to move objects via HG inventory from a remote linux machine to local home standalone running on Windows 8.1 with latest .net

-------------------------------------

19:53:08 - [SERIALIZER]: Deserialization of xml failed. Exception System.Xml.XmlException: The ':' character, hexadecimal value 0x3A, cannot be included in a name. Line 1, position 57.
   at System.Xml.XmlTextReaderImpl.Throw(String res, String[] args)
   at System.Xml.XmlTextReaderImpl.ParseAttributes()
   at System.Xml.XmlTextReaderImpl.ParseElement()
   at System.Xml.XmlTextReaderImpl.ParseElementContent()
   at System.Xml.XmlCharCheckingReader.Read()
   at System.Xml.XmlReader.ReadToFollowing(String name)
   at OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer.FromOriginalXmlFormat(XmlReader reader) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Serialization\SceneObjectSerializer.cs:line 85
19:53:08 - [AGENT INVENTORY]: Deserialization of xml failed when looking for CoalescedObject tag. Exception System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Framework.Scenes.Scene.GetObjectsToRez(Byte[] assetData, Boolean isAttachment, List`1& objlist, List`1& veclist, Vector3&
bbox, Single& offsetHeight) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2242

19:53:08 - [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.RezObjectPacket for Nebadon Izumi System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.DoPreRezWhenFromItem(IClientAPI remoteClient, InventoryItemBase item, List`1 objlist, Vector3 pos, List`1 veclist, Boolean isAttachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 1004
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, InventoryItemBase item, UUID assetID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 859
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 797
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 311
   at OpenSim.Region.Framework.Scenes.Scene.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2320
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerRezObject(IClientAPI sender, Packet Pack) in c:\opensim\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6443
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in c:\opensim\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770

19:53:11 - [HGScene]: RezObject itemID=d46e62af-66a3-4daf-816f-7f8bea4fcac8 fromTaskID=00000000-0000-0000-0000-000000000000
19:53:11 - [SERIALIZER]: Deserialization of xml failed. Exception System.Xml.XmlException: The ':' character, hexadecimal value 0x3A, cannot be included in a name. Line 1, position 57.
   at System.Xml.XmlTextReaderImpl.Throw(String res, String[] args)
   at System.Xml.XmlTextReaderImpl.ParseAttributes()
   at System.Xml.XmlTextReaderImpl.ParseElement()
   at System.Xml.XmlTextReaderImpl.ParseElementContent()
   at System.Xml.XmlCharCheckingReader.Read()
   at System.Xml.XmlReader.ReadToFollowing(String name)
   at OpenSim.Region.Framework.Scenes.Serialization.SceneObjectSerializer.FromOriginalXmlFormat(XmlReader reader) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Serialization\SceneObjectSerializer.cs:line 85
19:53:11 - [AGENT INVENTORY]: Deserialization of xml failed when looking for CoalescedObject tag. Exception System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.Framework.Scenes.Scene.GetObjectsToRez(Byte[] assetData, Boolean isAttachment, List`1& objlist, List`1& veclist, Vector3&
bbox, Single& offsetHeight) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2242

19:53:11 - [LLCLIENTVIEW]: Caught exception while processing OpenMetaverse.Packets.RezObjectPacket for Nebadon Izumi System.NullReferenceException: Object reference not set to an instance of an object.
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.DoPreRezWhenFromItem(IClientAPI remoteClient, InventoryItemBase item, List`1 objlist, Vector3 pos, List`1 veclist, Boolean isAttachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 1004
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, InventoryItemBase item, UUID assetID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 859
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.BasicInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\InventoryAccessModule.cs:line 797
   at OpenSim.Region.CoreModules.Framework.InventoryAccess.HGInventoryAccessModule.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID, Boolean attachment) in c:\opensim\opensim\OpenSim\Region\CoreModules\Framework\InventoryAccess\HGInventoryAccessModule.cs:line 311
   at OpenSim.Region.Framework.Scenes.Scene.RezObject(IClientAPI remoteClient, UUID itemID, Vector3 RayEnd, Vector3 RayStart, UUID RayTargetID, Byte BypassRayCast, Boolean RayEndIsIntersection, Boolean RezSelected, Boolean RemoveItem, UUID fromTaskID) in c:\opensim\opensim\OpenSim\Region\Framework\Scenes\Scene.Inventory.cs:line 2320
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.HandlerRezObject(IClientAPI sender, Packet Pack) in c:\opensim\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 6443
   at OpenSim.Region.ClientStack.LindenUDP.LLClientView.ProcessSpecificPacketAsync(Object state) in c:\opensim\opensim\OpenSim\Region\ClientStack\Linden\UDP\LLClientView.cs:line 770
(0028160)
Diva (administrator)
2015-05-02 20:42

[20:40] <cia-opensim> opensim: diva * r365f46bfa912 OpenSim/Framework/Serialization/External (ExternalRepresentationUtils.cs):
[20:40] <cia-opensim> Mantis 0007514
[20:40] <cia-opensim> Mono bug introduces double xmlns attribute names when rewriting the asset in HGAssetService, e.g. <SceneObjectPart xmlns:xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" [^] xmlns:xmlns:xsd="http://www.w3.org/2001/XMLSchema">. [^]
[20:40] <cia-opensim> Solution: remove all attributes before saving.

NOTE: This requires an update to the server that runs HGAssetService on the grid from where assets are being copied.
(0028162)
Diva (administrator)
2015-05-02 22:21

[22:19] <cia-opensim> opensim: diva * r09edc9619af6 OpenSim/Framework/Serialization/External (ExternalRepresentationUtils.cs):
[22:19] <cia-opensim> It wasn't that. Revert "Mantis 0007514"
[22:19] <cia-opensim>
[22:19] <cia-opensim> This reverts commit 365f46bfa91245e6e277a180dc6bbf757ea2540f.
[22:19] <cia-opensim> http://opensimulator.org/viewgit/?a=commit&p=opensim&h=09edc9619af66b2705dbb4e28e3ffc1772d9adc0 [^]

[22:20] <cia-opensim> opensim: diva * r877371411a9e OpenSim/Region/CoreModules/Framework/InventoryAccess (HGAssetMapper.cs):
[22:20] <cia-opensim> Mantis 0007514
[22:20] <osjenkins> Starting build 0004145 for job opensim » mono-2.10.8.1 (previous build: SUCCESS)
[22:20] <cia-opensim> I think this is it -- a bug introduced back in October, where the prefix and name space were being added twice on HG asset posts bu simulators.
(0028169)
Gavin Hird (reporter)
2015-05-03 09:05

If this was introduced back in October, is there any chance it has also been included in the 0.8.0.4 release by any chance?

It would be interesting to know exactly what commit the bug was introduced in because I have a file checked out Jan 21, 2015 (enclosed for reference) and it does not look quite like the commit diff for 877371 as this bit below does not exist in the file:

if (reader.HasAttributes)
                     {
                         while (reader.MoveToNextAttribute())
- writer.WriteAttributeString(reader.Prefix, reader.Name, reader.NamespaceURI, reader.Value);
(0028170)
Diva (administrator)
2015-05-03 09:42

Commit that introduced the bug: 1eb3e6cc43e2a7b4053bc1185c7c88e22356c5e8
(0028229)
Diva (administrator)
2015-05-05 21:17

I assume this is resolved. If not, it can be reopened.
(0029188)
aiaustin (developer)
2015-08-18 09:34

Resolved issue marked as closed. Please open a new issue and refer to this one if problems arise.

- Issue History
Date Modified Username Field Change
2015-03-26 16:13 Xantis New Issue
2015-03-26 16:13 Xantis File Added: OS.log
2015-03-26 18:41 kenvc Note Added: 0027943
2015-03-26 18:50 nebadon Note Added: 0027946
2015-03-27 10:53 Xantis Note Added: 0027948
2015-03-27 11:05 kenvc Note Edited: 0027943 View Revisions
2015-03-27 11:45 Allen Kerensky Note Added: 0027949
2015-04-22 10:01 Ferd Frederix Note Added: 0028050
2015-04-22 13:31 Ferd Frederix Note Added: 0028057
2015-04-22 14:01 Xantis Note Added: 0028058
2015-04-22 14:04 Xantis Note Edited: 0028058 View Revisions
2015-04-22 23:21 AramintaHexx Note Added: 0028063
2015-04-22 23:22 AramintaHexx Note Edited: 0028063 View Revisions
2015-04-22 23:23 AramintaHexx Note Edited: 0028063 View Revisions
2015-04-28 20:05 Ferd Frederix Note Added: 0028124
2015-04-30 08:45 Gavin Hird Note Added: 0028146
2015-04-30 09:24 butcharnold Note Added: 0028147
2015-04-30 09:24 butcharnold Note Edited: 0028147 View Revisions
2015-05-02 16:56 nebadon Note Added: 0028158
2015-05-02 16:56 nebadon Status new => confirmed
2015-05-02 20:42 Diva Note Added: 0028160
2015-05-02 22:21 Diva Note Added: 0028162
2015-05-03 09:05 Gavin Hird Note Added: 0028169
2015-05-03 09:05 Gavin Hird File Added: HGAssetMapper.cs
2015-05-03 09:42 Diva Note Added: 0028170
2015-05-05 21:17 Diva Note Added: 0028229
2015-05-05 21:17 Diva Status confirmed => resolved
2015-05-05 21:17 Diva Resolution open => fixed
2015-05-05 21:17 Diva Assigned To => Diva
2015-07-23 03:50 JeffKelley Relationship added has duplicate 0007648
2015-08-01 18:46 Diva Relationship added related to 0007657
2015-08-04 10:24 JeffKelley Relationship added related to 0007668
2015-08-18 09:34 aiaustin Note Added: 0029188
2015-08-18 09:34 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker